# -*- coding: utf-8 -*-

# This file is part of NExp. NExp is a tool for exploring Nepomuk database.

# Copyright (C) 2010  Evstifeev Roman <someuniquename@gmail.com>

# NExp is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.

# NExp is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with NExp.  If not, see <http://www.gnu.org/licenses/>.



from PyQt4.QtCore import *
from PyQt4.QtGui import *
from PyKDE4.kdeui import *

#from PyKDE4.nepomuk import Nepomuk
#from PyKDE4.soprano import Soprano

from ..pyqgw import *

from ..statement import qName, Statement
from trigview import TrigView


class BrowserToolbar(GwWidget):
	def __init__(self, parent=None):
		GwWidget.__init__(self, parent)
		
		self.setLayout(GwHBoxLayout())
		
		self.layout().addStretch()
		#self.layout().addItem(GwPushButton('reload',GwIconItem(KIcon("view-refresh"),16,16)))
		
		

class Browser(GwWidget):
	#nodeSelectedSig = pyqtSignal(str)
	
	def __init__(self, parent=None):
		GwWidget.__init__(self, parent)
		
		
		self.trigView = None
		
		
		#self.trigView.page().linkClicked.connect(self.linkClicked)
		#self.trigView.page().selectionChanged.connect(self.selectionChanged)
		
		self.toolbar = BrowserToolbar()
		
		self.setLayout(GwVBoxLayout())
		
		self.layout().addItem(self.toolbar)
		#self.layout().addItem(self.trigView)


	def setTrigView(self, trigView):
		if self.trigView and self.trigView.scene():
			self.layout().removeItem(self.trigView)
			self.trigView.hide()
			#self.trigView.scene().removeItem(self.trigView)
			
		if trigView:
			#trigView.nodeSelectedSig.connect(self.nodeSelectedSig)
			self.layout().addItem(trigView)
			trigView.show()
		
		self.trigView = trigView
			
		
		
