# -*- coding: utf-8 -*-

# This file is part of NExp. NExp is a tool for exploring Nepomuk database.

# Copyright (C) 2010  Evstifeev Roman <someuniquename@gmail.com>

# NExp is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.

# NExp is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with NExp.  If not, see <http://www.gnu.org/licenses/>.


from PyQt4.QtGui import *
from PyQt4.QtCore import *

class GwViewWidget(QGraphicsView):
	def __init__(self):
		self.scene = QGraphicsScene()
		self.mainWidget = None
		QGraphicsView.__init__(self, self.scene)
		#self.mainGvWidget.eventSignal.connect(self.calcSizeHint)
		#self.mainGvWidget.widget().setFrameStyle(QFrame.NoFrame)# | QFrame.Raised)
		self.setFrameStyle(QFrame.NoFrame)# | QFrame.Raised)
		self.setWindowState(Qt.WindowMaximized)
		self.show()
		#self.setFixedSize(400,400)

	def setMainWidget(self, widget):
		self.mainWidget = widget
		self.scene.addItem(widget)

	def resizeEvent(self,ev):
		#pass
		#print ('main resizing to ',ev.size().width(),ev.size().height())
		if self.mainWidget:
			self.setSceneRect(0,0,ev.size().width(),ev.size().height())
			self.mainWidget.resize(ev.size().width(),ev.size().height())
		#if self.size() != ev.size():
			#self.setFixedSize(ev.size())
		#QGraphicsView.resizeEvent(self,ev)

#	def calcSizeHint(self):
#		#pass
#		self.setMinimumSize(self.mainLayout.minimumSize().toSize())
#		print 'mi sz now ', self.minimumSize()
#		if self.minimumWidth() > self.size().width():
#			if self.minimumHeight() > self.size().height():
#				self.resize(self.minimumSize())
#			else:
#				self.resize(self.minimumWidth(),self.size().height())
#		elif self.minimumHeight() > self.size().height():
#			self.resize(self.size().width(),self.minimumHeight())

		#self.setMaximumSize(self.mainLayout.maximumSize().toSize())
		#self.setPreferredWidth(self.mainLayout.preferredWidth())
 
