# -*- coding: utf-8 -*-

# This file is part of NExp. NExp is a tool for exploring Nepomuk database.

# Copyright (C) 2010  Evstifeev Roman <someuniquename@gmail.com>

# NExp is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.

# NExp is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with NExp.  If not, see <http://www.gnu.org/licenses/>.


from PyQt4.QtCore import *
from PyQt4.QtGui import *

from . import GwSizedItem

class GwRectItem(QGraphicsRectItem, GwSizedItem):
	def __init__(self, parent=None):
		GwSizedItem.__init__(self)
		QGraphicsRectItem.__init__(self, parent)
		
	def setColor(self, color):
		self.setBrush(QBrush(QColor(color)))
		self.setPen(QPen(QColor(color)))
 
	def resize(self, w, h):
		if GwSizedItem.resize(self, w, h):
			self.setRect(QRectF(self.rect().topLeft(), QSizeF(w,h)))
