# -*- coding: utf-8 -*-

# This file is part of NExp. NExp is a tool for exploring Nepomuk database.

# Copyright (C) 2010  Evstifeev Roman <someuniquename@gmail.com>

# NExp is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.

# NExp is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with NExp.  If not, see <http://www.gnu.org/licenses/>.



def scaleToSize(elem, size):
	elem.resetTransform()
	wscale = size.width() / elem.boundingRect().width()
	hscale = size.height() / elem.boundingRect().height()
	#print 'scale', elem.boundingRect(), w, wscale
	elem.scale(wscale,hscale)
	#print 'new', elem.boundingRect().width()
	
def scaleTo(elem, w, h):
	elem.resetTransform()
	wscale = w / elem.boundingRect().width()
	hscale = h / elem.boundingRect().height()
	#print 'scale', elem.boundingRect(), w, wscale
	elem.scale(wscale,hscale)
	#print 'new', elem.boundingRect().width() 
