# -*- coding: utf-8 -*-

# This file is part of NExp. NExp is a tool for exploring Nepomuk database.

# Copyright (C) 2010  Evstifeev Roman <someuniquename@gmail.com>

# NExp is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.

# NExp is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with NExp.  If not, see <http://www.gnu.org/licenses/>.

#print 'init: ', __path__ 

#pyqgwPath = __path__

from PyQt4.QtCore import *
from PyQt4.QtGui import *


import checkbox, clipbox, frame, layout, lineedit, pushbutton, textlabel, vscrollbox

GwCheckbox = checkbox.GwCheckbox

GwClipBox = clipbox.GwClipBox

GwFrame = frame.GwFrame

GwHBoxLayout = layout.GwHBoxLayout
GwVBoxLayout = layout.GwVBoxLayout

GwLineEdit = lineedit.GwLineEdit
GwFastLineEdit = lineedit.GwFastLineEdit

GwPushButton = pushbutton.GwPushButton
GwNamedButton = pushbutton.GwNamedButton

GwTextLabel = textlabel.GwTextLabel
GwFramedTextLabel = textlabel.GwFramedTextLabel

GwVScrollBox = vscrollbox.GwVScrollBox


from generic import mainwidget, viewwidget, widget

GwMainWidget = mainwidget.GwMainWidget

GwViewWidget = viewwidget.GwViewWidget

GwWidget = widget.GwWidget
GwMinSizeWidget = widget.GwMinSizeWidget
GwPrefSizeWidget = widget.GwPrefSizeWidget
GwProxyWidget = widget.GwProxyWidget
GwSpacer = widget.GwSpacer


from items import frameitem, iconitem, rectitem, svgitem

GwFrameItem = frameitem.GwFrameItem
GwIconItem = iconitem.GwIconItem
GwRectItem = rectitem.GwRectItem
GwSvgItem = svgitem.GwSvgItem


from proxy import textedit

GwPlainTextEdit = textedit.ProxyPlainTextEdit
GwTextEdit = textedit.ProxyTextEdit