# -*- coding: utf-8 -*-

# This file is part of NExp. NExp is a tool for exploring Nepomuk database.

# Copyright (C) 2010  Evstifeev Roman <someuniquename@gmail.com>

# NExp is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.

# NExp is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with NExp.  If not, see <http://www.gnu.org/licenses/>.

from os import path

from ..items.frameitem import GwFrameItem
from ..items.svgitem import GwSvgItem

curDir = __path__[0]


#def stdFile(fileName):
	#return os.path.join(curDir,name)


class GwStdFrameItem(GwFrameItem):
	def __init__(self, fileName, w=0, h=0, prefix='', parent=None):
		GwFrameItem.__init__(self, path.join(curDir,fileName), w, h, prefix, parent)



class GwStdSvgItem(GwSvgItem):
	def __init__(self, fileName, w=0, h=0, parent=None):
		GwSvgItem.__init__(self, path.join(curDir,fileName), w, h, parent)
