# -*- coding: utf-8 -*-

# This file is part of NExp. NExp is a tool for exploring Nepomuk database.

# Copyright (C) 2010  Evstifeev Roman <someuniquename@gmail.com>

# NExp is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.

# NExp is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with NExp.  If not, see <http://www.gnu.org/licenses/>.



from PyQt4.QtCore import *


#class delayedFuncsList:
	#def __init__(self, dtime, funcList=[]):
		#self.funcList, self.dtime = funcList, dtime
		
#class DelayedProc:
	#def __init__(self, proc, timer):
		#self.proc = proc
		#self.timer = timer
		
#timeline = []


#class QTimerPool(QObject):
	#def __init__(self):
		#QObject.__init__(self)
		
	
	
	
class DelayedProcPool(QObject):
	def __init__(self):
		QObject.__init__(self)
		self.delayedProcDict = {}
		
	def addDelayedProc(self,timeout, proc, *args):
		#qtimer = QTimer()
		#qtimer.setSingleShot(True)
		#qtimer.setInterval(timeout)
		#qtimer.timeout.connect(self._stopEdit)
		timerId = self.startTimer(timeout)
		self.delayedProcDict[timerId] = (proc, args)
	
	def timerEvent(self, ev):
		tid = ev.timerId()
		self.killTimer(tid)
		
		(proc, args) = self.delayedProcDict[tid]
		del self.delayedProcDict[tid]
		proc(*args)
	
delayedProcPool = DelayedProcPool()


def delayedCall(timeout, func, *args):
	delayedProcPool.addDelayedProc(timeout, func, *args)

