# -*- coding: utf-8 -*-

# This file is part of NExp. NExp is a tool for exploring Nepomuk database.

# Copyright (C) 2010  Evstifeev Roman <someuniquename@gmail.com>

# NExp is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.

# NExp is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with NExp.  If not, see <http://www.gnu.org/licenses/>.


from PyQt4.QtCore import *
from PyQt4.QtGui import *


from . import GwSizedItem


class GwIconItem(QGraphicsPixmapItem, GwSizedItem):
	def __init__(self, icon, w, h, parent=None):
		GwSizedItem.__init__(self)
		QGraphicsPixmapItem.__init__(self, parent)
		self.icon = icon
		if GwSizedItem.resize(self, w, h):
			self.setPixmap(icon.pixmap(w, h))
		
		
	#def setFileName(self, fileName):
		#if self.fileName == fileName:
			#return
		
		#self.fileName = fileName
		#self.setPixmap(getSvgPixmap(fileName, self.size()))
		
		
	def resize(self, w, h):
		if GwSizedItem.resize(self, w, h):
			self.setPixmap(icon.pixmap(w, h))
