# -*- coding: utf-8 -*-

# This file is part of NExp. NExp is a tool for exploring Nepomuk database.

# Copyright (C) 2010  Evstifeev Roman <someuniquename@gmail.com>

# NExp is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.

# NExp is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with NExp.  If not, see <http://www.gnu.org/licenses/>.


from PyQt4.QtCore import *
from PyQt4.QtGui import *

from ..vscrollbox import GwVScrollBox



class ProxyPlainTextEdit(QGraphicsProxyWidget):
	def __init__(self, text=None, parent=None):
		QGraphicsProxyWidget.__init__(self, parent)
		self.setWidget(QPlainTextEdit(text))
		#self.widget().setPlainText(text)
		
		
class ProxyTextEdit(QGraphicsProxyWidget):
	def __init__(self, text=None, parent=None):
		QGraphicsProxyWidget.__init__(self, parent)
		self.setWidget(QTextEdit(text))
		#self.widget().setPlainText(text)



########################################################
#TODO
########################################################


class my(QPlainTextDocumentLayout):
	def __init__(self, document):
		QPlainTextDocumentLayout.__init__(self, document)
	
		
		
class GwTextDocBox(QGraphicsWidget):
	def __init__(self, text='', parent=None):
		QGraphicsWidget.__init__(self, parent)
		self.constructed = False
		self.construct(text)
		
		#print 'min pre'
		#self.setMinimumSize(100,100)
		#print 'min set'
		
		
	def construct(self, text=''):
		#self._maxW = -1
		#self._maxH = -1
		self.textItem = QGraphicsTextItem(text, self)
		self.textItem.setTextInteractionFlags(Qt.TextEditorInteraction)
		doc = self.textItem.document()
		#doc = QTextDocument()
		print doc.pageSize()
		doc.setDocumentLayout(self.textItem.document().documentLayout())
		doc.setPageSize(QSizeF(100,100))
		print doc.pageSize()
		print 'YY'
		self.textItem.setDocument(doc)
		#self.textItem.document().setDocumentLayout(my(self.textItem.document()))
		self.textItem.document().documentLayout().documentSizeChanged.connect(self.docResized)
		self.textItem.document().cursorPositionChanged.connect(self.cursorPosChanged)
		self.textItem.document().setPageSize(QSizeF(100,100))
		print self.textItem.document().documentLayout()
		

	def resizeEvent(self,ev):
		print 'resizing to', ev.newSize().width()
		self.textItem.setTextWidth(ev.newSize().width())
		#self.textItem.document().setPageSize(ev.newSize())


	def docResized(self):
		print self.textItem.document().size()
		self.setMinimumHeight(self.textItem.document().size().height())
		
	def cursorPosChanged(self, cursor):
		block = self.textItem.document().findBlock(cursor.position())
		print block
		
		
	#def updateGeometry(self):
		#print self.minimumSize()
		#print self.maximumSize()
		#print self.preferredSize()
		#QGraphicsWidget.updateGeometry(self)



class GwTextEdit_new(GwVScrollBox):
	def __init__(self, text='', parent=None):
		GwVScrollBox.__init__(self, parent)
		#self.constructed = False
		#self.construct(text)
		
		self.textDocBox = GwTextDocBox(text)
		self.setContent(self.textDocBox)
		
		#self.setSizePolicy(QSizePolicy.Minimum,QSizePolicy.Minimum)
		#self.setSizePolicy(QSizePolicy.Preferred,QSizePolicy.Preferred)
		self.setPreferredSize(1000,1000)
	
		#self.textDocBox.textItem.document().documentLayout().update.connect(self.up)
	
		
	#def up(self, rect):
		#print rect
		
	#def resizeEvent(self,ev):
		#self.textItem.setTextWidth(ev.newSize().width())
		
		